<?php
header('Content-Type: application/json;charset= utf-8');
require("dbinfo.php");
require_once("dl.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
mysqli_set_charset($con,"utf8");

$id = 0;
if($_REQUEST['sql1']){$sql1 = $_REQUEST['sql1'];}
if($_REQUEST['sql2']){$sql2 = $_REQUEST['sql2'];}

if( $_REQUEST["historia"] ) {
    $historia = $_REQUEST['historia'];
 }
 
 if( $_REQUEST["usuario"] ) {
    $usuario = $_REQUEST['usuario'];
 }

 $fecha = dl_fecha::dl_ahora_texto();

$sql = "SELECT MAX(id) as max FROM conexiones WHERE 1";
$resultado = mysqli_query($con,$sql);
$row = mysqli_fetch_assoc($resultado);
$id = $row["max"] + 1;
$sql = $sql1 . $id . $sql2;
$resultado = mysqli_query($con,$sql);
$res = array();
    array_push($res,$sql);
if($id > 0)
{
   $sql = "INSERT INTO log (id_conex,descripcion,tipo,usuario,fecha) VALUES (" . $id . ",'" . $historia . "','NUEVA_CONEXION','" . $usuario . "','" . $fecha . "')";
   $resultado = mysqli_query($con,$sql);
}
mysqli_close($con);
echo json_encode($res);
?>





